
Figure - Bug #118395
IOVDEV-31132 【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏monkey测试时向下滑动出控制中
心开启无线局域网时monkey停止运行
2023-05-31 17:11 - CDTS-TEST 周婷

Status: CLOSED Start date: 2023-05-31

Priority: High Due date: 2023-06-05

Assignee: CDTS-TEST 周婷 % Done: 0%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103 

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Monkey Test Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230529  8点30分（ 第213次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）

1.副屏在5月27日晚6点10左右开始执行monkey测试

2.在5月29日早上8点30分时monkey运行过程中多次向下滑动

【实际结果】

副屏显示控制中心，但monkey停止了运行

【期望结果】

副屏monkey测试正常执行。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/JGy7Qu3Eplk%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0082.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-31 17:12 - CDTS-TEST 周婷

覃刚，日志飞书提供，请先分析是否日志中存在dump 信息，此外，已同步客户提供qpst log 抓取ramdump 日志

#2 - 2023-05-31 19:11 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO
- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

Hi 周婷

■ 我的分析

---------------------------

05-29 08:30:02.166  5062  5062 W Monkey  : ** Error: A RuntimeException occurred:

05-29 08:30:02.166  5062  5062 W Monkey  : java.lang.SecurityException: Injecting to another application requires INJECT_EVENTS permission

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2425)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.hardware.input.IInputManager$Stub$Proxy.injectInputEvent(IInputManager.java:1379)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.hardware.input.InputManager.injectInputEvent(InputManager.java:1091)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.commands.monkey.MonkeyMotionEvent.injectEvent(MonkeyMotionEvent.java:188)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1217)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:708)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:568)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

05-29 08:30:02.166  5062  5062 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEventInternal(InputManagerService.java:882)

05-29 08:30:02.166  5062  5062 W Monkey  :     at com.android.server.input.InputManagerService.injectInputEvent(InputManagerService.java:834)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.hardware.input.IInputManager$Stub.onTransact(IInputManager.java:588)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Binder.execTransactInternal(Binder.java:1179)

05-29 08:30:02.166  5062  5062 W Monkey  :     at android.os.Binder.execTransact(Binder.java:1143)

05-29 08:30:02.166  5062  5062 W Monkey  : 

05-29 08:30:02.166  5062  5062 I Monkey  : Events injected: 834274

---------------------------

Monkey自己报异常导致停止了

异常的原因是:Injecting to another application requires INJECT_EVENTS permission

翻译过来就是:注入事件到另外一个应用需要INJECT_EVENTS权限，没有这个权限，所以报错了

导致这个问题的操作:在monkey测试过程中，又手动去操作，导致页面窗口这些变化了，就会出现这个问题

Monkey跑起来后，手动操作，乱点一通，很快就能复现出来这个问题

■ 下一步计划

建议测试同学在跑monkey的时候，不要去操作屏幕，这是一个不规范的行为

#3 - 2023-05-31 21:17 - CDTS-TEST 周婷

- Status changed from NEED_INFO to ASSIGNED

和118391 一致，需分析为啥断开wifi会导致adb -d 进程被杀掉，内部验证用使用wifi adb 连接或者usb 连接后使用adb 命令跑上monkey 后 断开wifi，monkey 

都不会停止

#4 - 2023-06-01 10:14 - CDTS-TEST 周婷

- Assignee changed from CDTS-TEST 周婷 to CD SYSTEM-夏旭

#5 - 2023-06-02 17:57 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CDTS-TEST 周婷
和118391 一致，需分析为啥断开wifi会导致adb -d 进程被杀掉，内部验证用使用wifi adb 连接或者usb 连接后使用adb 命令跑上monkey 后 断开wifi，monkey 

都不会停止

------此问题不相同，具体原因参考覃刚分析

#6 - 2023-06-02 19:06 - CDTS-TEST 周婷

- Category changed from 依赖客户及其供应商解决 to 稳定性

- Assignee changed from CDTS-TEST 周婷 to CD SYSTEM-夏旭

如昨晚沟通，需要分析，monkey 测试过程中不规范操作wifi 为什么会出发monkey 异常，

#7 - 2023-06-02 19:58 - CDTS-TEST 周婷

- Assignee changed from CD SYSTEM-夏旭 to CD FW 曹覃刚

覃刚  请继续分析这个monkey 停止这个能否规避处理

#8 - 2023-06-05 20:46 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS-TEST 周婷

Hi 周婷

如线下沟通，需要测试同学测试monkey时，不要手动操作，请确认

#9 - 2023-06-25 11:20 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

非常规操作，已同步客户信息

#10 - 2023-06-25 11:20 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-25 11:20 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
